hOpenPGP-0.14: native Haskell implementation of OpenPGP (RFC4880)

Safe Haskell | None

Data.Conduit.OpenPGP.Filter

# Documentation

conduitFilter :: MonadResource m => FilterPredicates -> Conduit Pkt m Pkt Source

data FilterPredicates Source

Constructors

FilterPredicates |

Fields

_pubKeyPktPredicate :: Expr PKPPredicate
_sigPktPredicate :: Expr SPPredicate
_otherPredicate :: Expr OPredicate

data Expr a Source

Constructors

EAny |
E a |
EAnd (Expr a) (Expr a) |
EOr (Expr a) (Expr a) |
ENot (Expr a) |

data PKPPredicate Source

Constructors

PKPPredicate PKPVar PKPOp PKPValue |

data PKPVar Source

Constructors

PKPVVersion |
PKPVPKA |
PKPVKeysize |
PKPVTimestamp |

data PKPOp Source

Constructors

PKEquals |
PKLessThan |
PKGreaterThan |

data PKPValue Source

Constructors

PKPInt Int |
PKPPKA PubKeyAlgorithm |

Instances

Eq PKPValue |
Ord PKPValue |

data SPPredicate Source

Constructors

SPPredicate SPVar SPOp SPValue |

data SPVar Source

Constructors

SPVVersion |
SPVSigType |
SPVPKA |
SPVHA |

data SPOp Source

Constructors

SPEquals |
SPLessThan |
SPGreaterThan |

data SPValue Source

Constructors

SPInt Int |
SPSigType SigType |
SPPKA PubKeyAlgorithm |
SPHA HashAlgorithm |

Instances

Eq SPValue |
Ord SPValue |

data OPredicate Source

Constructors

OPredicate OVar OOp OValue |

data OVar Source

Constructors

OVTag |

data OOp Source

Constructors

OEquals |
OLessThan |
OGreaterThan |

data OValue Source

Constructors

OInt Int |

Instances

Eq OValue |
Ord OValue |